POST/api/v1/debug-agent/{sessionId}/apply

Apply debug-agent change

Applies a proposed change from a debug-agent session — modifies prompt / model config / tool set in the live agent definition. Audit-logged.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Response

200 example

{
  "success": true
}

All status codes

200Applied.
400(no description)
401(no description)
404(no description)
429(no description)

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/debug-agent/{sessionId}/apply \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/debug-agent/{sessionId}/apply",
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(method="POST", path="/api/v1/debug-agent/{sessionId}/apply")
print(response)

Go

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/evalguard/evalguard-go"
)

func main() {
	client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
	resp, err := client.Request(context.Background(), "POST", "/api/v1/debug-agent/{sessionId}/apply", nil)
	if err != nil { panic(err) }
	fmt.Println(resp)
}

Errors

400401404429

Other Evals endpoints